"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toSimpleISODateString = exports.getStartOfDate = exports.toDateCopy = void 0;

/**
 * @param {Date | number | null} [date] If falsy will just return today
 * @returns
 */
const toDateCopy = date => {
  if (typeof date === 'number') {
    return new Date(date);
  } else if (date && date.valueOf) {
    return new Date(date.valueOf());
  }

  return new Date();
};
/**
 * @param {Date | number | null} date
 * @returns {Date}
 */


exports.toDateCopy = toDateCopy;

const getStartOfDate = date => {
  let copy = toDateCopy(date);
  copy.setMinutes(0);
  copy.setHours(0);
  copy.setSeconds(0);
  copy.setMilliseconds(0);
  return copy;
};

exports.getStartOfDate = getStartOfDate;

const pad = num => (num + '').padStart(2, '0');
/**
 * @param {date} date Date object
 * @returns {string} As YYYY-MM-DD
 */


const toSimpleISODateString = date => "".concat(date.getFullYear(), "-").concat(pad(date.getMonth() + 1), "-").concat(pad(date.getDate()));

exports.toSimpleISODateString = toSimpleISODateString;